List owned campaigns

GET/campaigns

Returns campaigns owned by the authenticated creator or agency, optionally filtered by lifecycle status.

AuthorizationBearer <token>

Public API key from creator or agency settings. The complete secret is shown once.

In: header

Query Parameters

cursor?string
limit?integer
Range1 <= value <= 100
Default25
status?string

Value in

  • "active"
  • "completed"
  • "archived"

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/campaigns"
{  "request_id": "string",  "data": [    {      "id": "string",      "owner_type": "creator",      "owner_id": "string",      "name": "string",      "description": "string",      "status": "active",      "starts_at": "2019-08-24T14:15:22Z",      "ends_at": "2019-08-24T14:15:22Z",      "refresh_cadence": "daily",      "refresh_state": "active",      "cpm": {        "instagram": 0,        "tiktok": 0,        "youtube": 0,        "twitter": 0      },      "emv_override": 0,      "public_report": {        "enabled": true,        "access_mode": "link",        "slug": "string",        "share_url": "http://example.com"      },      "editor_url": "http://example.com",      "summary": {        "creators": 0,        "content": 0,        "views": 0,        "impressions": 0,        "engagements": 0,        "engagement_rate": 0,        "emv": 0      },      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "next_cursor": "string",    "limit": 0  }}